Wallet Data

Accounts, positions, trades, etc.

Get wallet accounts

get
/wallet/{address}/accounts
Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

List of accounts

application/json
accountIdintegerRequiredExample: 1747927089946
namestringRequiredExample: Margin Account 1
typestring · enumRequired

SPOT = account that can only trade spot, MAINPERP = main perp account, SUBPERP = sub perp account

Possible values:
Other propertiesanyOptional
get
/wallet/{address}/accounts

Get wallet spot execution busts

get
/wallet/{address}/spotExecutionBusts

Returns up to 100 spot execution busts (failed spot fills) for a given wallet.

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of spot execution busts

application/json
Other propertiesanyOptional
get
/wallet/{address}/spotExecutionBusts

Get wallet perp executions

get
/wallet/{address}/perpExecutions

Returns up to 100 perp executions for a given wallet.

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of perpetual executions

application/json
Other propertiesanyOptional
get
/wallet/{address}/perpExecutions

Get wallet spot executions

get
/wallet/{address}/spotExecutions

Returns up to 100 spot executions for a given wallet.

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of spot executions

application/json
Other propertiesanyOptional
get
/wallet/{address}/spotExecutions

Get wallet positions

get
/wallet/{address}/positions
Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

List of positions

application/json
exchangeIdintegerRequiredExample: 1747927089946
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
accountIdintegerRequiredExample: 1747927089946
qtystringRequiredExample: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
sidestring · enumRequired

Order side (B = Buy/Bid, A = Ask/Sell)

Possible values:
avgEntryPricestringRequiredExample: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
avgEntryFundingValuestringRequired

Average of funding values at the entry times of currently open exposure, which serves as a baseline from which to compute the accrued funding in the position: units x (fundingValue - avgEntryFundingValue)

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
lastTradeSequenceNumberintegerRequired

Sequence number of last execution taken into account for the position.

Example: 1747927089946
Other propertiesanyOptional
get
/wallet/{address}/positions

Get wallet account balances

get
/wallet/{address}/accountBalances

Returns all account real balances for a wallet.

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

List of account balances

application/json
accountIdintegerRequiredExample: 1747927089946
assetstringRequiredExample: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
realBalancestringRequired

Sum of account net deposits (transfers, deposits and withdrawals) and realized pnl from closed positions. Realized pnl only applies to RUSD given it is the only settlement asset

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
balanceDEPRECATEDstringRequired

Sum of account net deposits (transfers, deposits and withdrawals). This field is deprecated and will be removed in a future release

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
Other propertiesanyOptional
get
/wallet/{address}/accountBalances

Get wallet open orders

get
/wallet/{address}/openOrders

Returns all pending orders for a wallet.

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

List of open orders

application/json
exchangeIdintegerRequiredExample: 1747927089946
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
accountIdintegerRequiredExample: 1747927089946
orderIdstringRequiredExample: 123456789-123123123
qtystringOptionalExample: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
execQtystringOptional

Executed quantity in the current order update.

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
cumQtystringOptional

Total Executed quantity accross all fills where the order is involved.

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
sidestring · enumRequired

Order side (B = Buy/Bid, A = Ask/Sell)

Possible values:
limitPxstringRequiredExample: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
orderTypestring · enumRequired

Order type, (LIMIT = Limit, TP = Take Profit, SL = Stop Loss)

Example: TPPossible values:
triggerPxstringOptional

Price at which TP/SL orders will be triggered, should not be set for other order types.

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
timeInForcestring · enumOptional

Order time in force, exclusively used for LIMIT orders

Example: GTCPossible values:
reduceOnlybooleanOptional

Whether this is a reduce-only order, exclusively used for LIMIT IOC orders.

Example: false
statusstring · enumRequired

Order status

Possible values:
createdAtintegerRequired

Creation timestamp (milliseconds)

Example: 1747927089946
lastUpdateAtintegerRequired

Last update timestamp (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/wallet/{address}/openOrders

Get wallet configuration

get
/wallet/{address}/configuration

Returns trading configuration for a wallet

Path parameters
addressstringRequiredExample: 0x6c51275fd01d5dbd2da194e92f920f8598306df2Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

Wallet configuration

application/json
feeTierIdintegerRequired

Fee tier identifier

Example: 1747927089946
ogStatusbooleanRequired

OG status

Example: true
affiliateStatusbooleanRequired

Affiliate status

Example: false
refereeStatusbooleanRequired

Referee status

Example: false
Other propertiesanyOptional
get
/wallet/{address}/configuration

Last updated